0

I want to use rpi-imager in ubuntu

sudo -i
apt update
apt install rpi-imager
rpi-imager

but it couldn't work.The log is:

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QGLXContext: Failed to create dummy context
qrc:/main.qml:281:21: QML Rectangle: Detected anchors on an item that is managed by a layout. This is undefined behavior; use Layout.alignment instead.
Failed to create OpenGL context for format QSurfaceFormat(version 2.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DoubleBuffer, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile) 

1 Answer 1

0

What version of Ubuntu are you using? Someone posted a similar question on the official pi forum https://forums.raspberrypi.com/viewtopic.php?t=286924 Turns out they just needed an update and a reboot

1
  • Thanks a lot.It just need reboot.
    – chaganhu
    Jun 17, 2023 at 3:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.